Download it now!
Bug 35034 - Shift key and caps lock activate menu shortcuts
Summary: Shift key and caps lock activate menu shortcuts
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Customize-Dialog-Keyboard
  Show dependency treegraph
 
Reported: 2011-03-05 07:31 UTC by revgregg65
Modified: 2011-12-22 05:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description revgregg65 2011-03-05 07:31:51 UTC
Example key combination "shift " and "a" causes the "Table" dropdown menu to open.  Caps lock does the same thing.
Comment 1 Don't use this account, use tml@iki.fi 2011-03-07 00:41:13 UTC
Obviously not reproducible.

Please, give *exact* reproduction instructions.

Also, are you running some "useful" 3rd-party add-on software that modifies how the keyboard is handled?
Comment 2 revgregg65 2011-03-07 03:48:12 UTC
I had a writer document open, and whenever I attempted to type a capital letter , if there happen to be a keyboard shortcut associated with it, those were fired.  There were no keyboard modifying extension running that I know of.
Comment 3 Don't use this account, use tml@iki.fi 2011-03-07 04:31:54 UTC
What language Windows localisation are you using? What keyboard layout? What kind of physical keyboard? There must be something extremely special in your situation, I doubt anybody else is seeing the same as you are. Are you sure you aren't infected by some key logging or other malware?
Comment 4 revgregg65 2011-03-07 04:42:48 UTC
There is absolutely nothing special about my setup , Windows Vista on a Lenovo laptop, no special keyboard layout applied .  My antivirus software is up to date and I use both Spybot and MalwareBytes regularly.  This just started the other day, up to that point I hadn't encountered this problem.  I'm not aware of any change being made to preferences, etc.. in between uses.
Comment 5 Rainer Bielefeld Retired 2011-10-07 08:26:23 UTC
@revgregg65@gmail.com
It's without interest what you believe what a special setup might be ;-)
Please always answer questions of "The LibO team" as precise and complete as possible, we are still waiting for information concerning language Windows localization, keyboard layout.

Please have a look to "Bug 40578 - CONFIGURATION: Tools-Customize-Keyboard changes should be persistent" comment 3 and following. We need a description with precision as shown in those comments. What are our settings for the shortcuts (I know that that's some other site)? Is in Menu 'Tools -> Customize -> Keyboard' really <shift+a> listed for any function? That would be fatal, that can't work, because of this such shortcut should not be offered.

Does the problem remain when you rename you LibO user profile under 
"Users\User\Appdata\Roaming\LibO"?

Any experience with OOo or a LibO portable Version?
Comment 6 Rainer Bielefeld Retired 2011-10-18 10:55:36 UTC
Closing Bug due to reporter's inactivity as WFM.

@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with the current stable LibreOffice version and if you can contribute requested additional information due to <http://wiki.documentfoundation.org/BugReport> (especially BugReport Details)!
Comment 7 Björn Michaelsen 2011-12-22 05:37:04 UTC
Remove infoprovider from closed and resolved bugs.
Comment 8 Björn Michaelsen 2011-12-22 05:53:41 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.